Iterables (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class Iterables

    java.lang.Object
      org.neo4j.helpers.collection.Iterables

    public final class Iterables

extends Object

TODO

Constructor Summary
`Iterables()`

Method Summary
`static
`<T,C extends Collection<T>> C`
` | `addAll(C collection, Iterable<? extends T> iterable)`
`static
`<T,C extends T> Iterable<T>`
` | `append(C item, Iterable<T> iterable)`
`static
`<T> Iterable<T>`
` | `cache(Iterable<T> iterable)`
`static
`<FROM,TO> Function<FROM,TO>`
` | `cast()`
`static
`<T,C> Iterable<T>`
` | `cast(Iterable<C> iterable)`
`static
`<T> Iterable<T>`
` | `concat(Iterable<? extends T>... iterables)`
`static
`<T> Iterable<T>`
` | `concat(Iterable<Iterable<T>> iterables)`
`static
`<T> Iterable<T>`
` | `constant(T item)`
`static long` | `count(Iterable<?> iterable)`
`static
`<T> Iterable<T>`
` | `empty()`
`static
`<X> Iterable<X>`
` | `filter(Specification<? super X> specification, Iterable<X> i)`
`static
`<X> X`
` | `first(Iterable<? extends X> i)`
`static
`<X,I extends Iterable<? extends X>> Iterable<X>`
` | `flatten(I... multiIterator)`
`static
`<X,I extends Iterable<? extends X>> Iterable<X>`
` | `flattenIterables(Iterable<I> multiIterator)`
`static
`<FROM,TO> TO`
` | `fold(Function<? super FROM,TO> function, Iterable<? extends FROM> i)`
`static
`<T,C extends T> Iterable<T>`
` | `iterable(C... items)`
`static
`<T> Iterable<T>`
` | `iterable(Enumeration<T> enumeration)`
`static
`<X> X`
` | `last(Iterable<? extends X> i)`
`static
`<T> Function<Iterable<T>,Iterable<T>>`
` | `limit(int limitItems)`
`static
`<T> Iterable<T>`
` | `limit(int limitItems, Iterable<T> iterable)`
`static
`<FROM,TO> Iterable<TO>`
` | `map(Function<? super FROM,? extends TO> function, Iterable<FROM> from)`
`static
`<T> boolean`
` | `matchesAll(Specification<? super T> specification, Iterable<T> iterable)`
`static
`<T> boolean`
` | `matchesAny(Specification<? super T> specification, Iterable<T> iterable)`
`static
`<T> Iterable<T>`
` | `mix(Iterable<T>... iterables)`
`static
`<T,C extends T> Iterable<T>`
` | `prepend(C item, Iterable<T> iterable)`
`static
`<X> Iterable<X>`
` | `reverse(Iterable<X> iterable)`
`static
`<X> X`
` | `single(Iterable<? extends X> i)`
`static
`<X> Iterable<X>`
` | `skip(int skip, Iterable<X> iterable)`
`static
`<T> T[]`
` | `toArray(Class<T> componentType, Iterable<T> iterable)`
`static Object[]` | `toArray(Iterable<Object> iterable)`
`static
`<T> List<T>`
` | `toList(Iterable<T> iterable)`
`static
`<T> Iterable<T>`
` | `unique(Iterable<T> iterable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Iterables

    public Iterables()

Method Detail

### empty

    public static <T> Iterable<T> empty()

### constant

    public static <T> Iterable<T> constant(T item)

### limit

    public static <T> Iterable<T> limit(int limitItems,
                                        Iterable<T> iterable)

### limit

    public static <T> Function<Iterable<T>,Iterable<T>> limit(int limitItems)

### unique

    public static <T> Iterable<T> unique(Iterable<T> iterable)

### addAll

    public static <T,C extends Collection<T>> C addAll(C collection,
                                                       Iterable<? extends T> iterable)

### count

    public static long count(Iterable<?> iterable)

### filter

    public static <X> Iterable<X> filter(Specification<? super X> specification,
                                         Iterable<X> i)

### first

    public static <X> X first(Iterable<? extends X> i)

### single

    public static <X> X single(Iterable<? extends X> i)

### skip

    public static <X> Iterable<X> skip(int skip,
                                       Iterable<X> iterable)

### last

    public static <X> X last(Iterable<? extends X> i)

### reverse

    public static <X> Iterable<X> reverse(Iterable<X> iterable)

### matchesAny

    public static <T> boolean matchesAny(Specification<? super T> specification,
                                         Iterable<T> iterable)

### matchesAll

    public static <T> boolean matchesAll(Specification<? super T> specification,
                                         Iterable<T> iterable)

### flatten

    public static <X,I extends Iterable<? extends X>> Iterable<X> flatten(I... multiIterator)

### flattenIterables

    public static <X,I extends Iterable<? extends X>> Iterable<X> flattenIterables(Iterable<I> multiIterator)

### mix

    public static <T> Iterable<T> mix(Iterable<T>... iterables)

### map

    public static <FROM,TO> Iterable<TO> map(Function<? super FROM,? extends TO> function,
                                             Iterable<FROM> from)

### iterable

    public static <T> Iterable<T> iterable(Enumeration<T> enumeration)

### iterable

    public static <T,C extends T> Iterable<T> iterable(C... items)

### cast

    public static <T,C> Iterable<T> cast(Iterable<C> iterable)

### concat

    public static <T> Iterable<T> concat(Iterable<? extends T>... iterables)

### concat

    public static <T> Iterable<T> concat(Iterable<Iterable<T>> iterables)

### cast

    public static <FROM,TO> Function<FROM,TO> cast()

### fold

    public static <FROM,TO> TO fold(Function<? super FROM,TO> function,
                                    Iterable<? extends FROM> i)

### prepend

    public static <T,C extends T> Iterable<T> prepend(C item,
                                                      Iterable<T> iterable)

### append

    public static <T,C extends T> Iterable<T> append(C item,
                                                     Iterable<T> iterable)

### cache

    public static <T> Iterable<T> cache(Iterable<T> iterable)

### toList

    public static <T> List<T> toList(Iterable<T> iterable)

### toArray

    public static Object[] toArray(Iterable<Object> iterable)

### toArray

    public static <T> T[] toArray(Class<T> componentType,
                                  Iterable<T> iterable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.